Subject: bug#41200: Displaying a tooltip with x-show-tip gets very slow as more faces are defined

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 May 2020 22:38:21 +0300

> Cc: [email-masked], [email-masked]
> From: Clément Pit-Claudel <[email-masked]>
> Date: Fri, 15 May 2020 15:23:00 -0400
> 
> >>> What is the default size of a hash-table?
> >>
> >> 65 entries, I think.
> > 
> > The number of basic faces is just 18.  Is 65 a good initial size for
> > that?
> 
> I think that map stores more than just the basic faces: in fact, $ emacs -Q --batch --eval '(print (length (frame-face-alist)))' prints 100, so maybe I should even make the map larger by default?

We are miscommunicating.  I was talking about the size before loadup,
i.e. in temacs when it starts up.  Later, when we load preloaded
packages, the size should grow, but the hash-table takes care of that
by itself, doesn't it?